/*
Просьба, если здесь или в html есть ошибка или совет, то пометить комментарием
с поменткой ***КОММЕНТ МЕНТОРА
*/
body {
  background-image: url("../img/back.png");
  background-size: cover;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}


/***COMMON CLASSES***/

.link {
  text-decoration: none;
  color: #3cb878;
  text-transform: capitalize;
}

.link:hover {
  border-bottom: 1px solid #3cb878;
}

.v-centered {
  top: 50%;
  transform: translateY(-50%);
  position: absolute;
}

.h-centered {
  left: 50%;
  transform: translateX(-50%);
  position: absolute;
}

.btn {
  border-radius: 5px;
  border: none;
  height: 48px;
  color: white;
  box-sizing: border-box;
  padding: 0;
  outline: none;
}

.btn:hover {
  cursor: pointer;
}

/***HEADER***/

.header {
  background-color: rgba(0, 0, 0, 0.41);
  height: 55px;
  position: relative;
}

.logo {
  left: 40px;
  text-transform: uppercase;
  font-weight: bold;
  border: none;
  color: white;
  text-decoration: none;
}

.logo:hover {
  color: #329a65;
}

.header-icon-container {
  position: absolute;
  top: 50%;
  transform: translate(-100%, -50%);
  padding-right: 20px;
}

.header-icon {
  display: inline-block;
  width: 28px;
  height: 28px;
  background-image: url("../img/spritesheet_white.png");
  background-repeat: no-repeat;
  margin-left: 10px;
}

.header-icon:hover {
  background-image: url("../img/spritesheet.png")
}

.icon-calendar {
  background-position: -1px 0;
}

.icon-forum {
  background-position: -34px 0;
}

.icon-journey {
  background-position: 0 -30px;
}

.login-area {
  right: 40px;
}

.login-area-text {
  color: white;
}

.login-link {
  float: right;
}

/***MODAL***/

.wrapper {
  position: relative;
  height: calc(100vh - 55px);
}

.signup-modal {
  width: 455px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0.452);
  background-color: white;
  border-radius: 10px;
}

.modal-content-container {
  width: 325px;
  margin: 30px auto;
}

.form-title {
  font-size: 20px;
  display: inline-block;
  text-align: left;
  color: #434343;
  position: relative;
}

.form-title::before{
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  background-color: #3cb878;
  position: absolute;
  left: -65px;
}

/***BUTTONS***/

.btns-box {
  position: relative;
  margin-top: 20px;
  height: 48px;
  width: 325px;
}

.facebook-btn {
  position: absolute;
  left: 0;
  width: 158px;
  background-color: #305db8;
  text-align: left;
}

.facebook-btn:hover {
  background-color: #264b96;
}

.facebook-icon {
  display: inline-block;
  width: 48px;
  height: 48px;
  background-image: url("../img/facebook1.png");
  background-repeat: no-repeat;
  background-position: center center;
}

.google-btn {
  position: absolute;
  right: 0;
  width: 158px;
  background-color: #df4a32;
  text-align: left;
}

.google-btn:hover {
  background-color: #c3412c;
}

.google-icon {
  display: inline-block;
  width: 48px;
  height: 48px;
  background-image: url("../img/G+.png");
  background-repeat: no-repeat;
  background-position: center center;
}

/*Deviders between icon and text*/
.google-icon::after, .facebook-icon::after {
  content: "";
  display: inline-block;
  width: 1px;
  height: 28px;
  background-color: rgba(0, 0, 0, 0.1);
  position: absolute;
  left: 48px;
  top: 50%;
  transform: translateY(-50%);
}

.btn-text-container {
  position: absolute;
  right: 0;
  width: 110px;
  height: 48px;
}

.btn-text {
  display: inline-block;
  position: absolute;
  width: 110px;
  left: 48px;
  font-size: 16px;
  text-align: center;
}

.or-divider {
  margin-top: 26px;
  border: 1px solid rgba(0, 0, 0, 0.1);
  position: relative;
  overflow: visible;
}

.or-divider::after {
  content: "or";
  display: inline-block;
  position: absolute;
  top: -9px;
  left: 50%;
  transform: translateX(-50%);
  color: rgba(0, 0, 0, 0.363);
  font-size: 14px;
  background-color: white;
  padding: 0 10px;
}

/***INPUT***/

.nice-input {
  height: 46px;
  box-sizing: border-box;
  padding: 20px;
  background-color: white;
  margin-bottom: 10px;
  width: 100%;
  border-radius: 5px;
  border: 1px solid gainsboro;
  font-size: 14px;
  color: black;
}

.nice-input:first-child {
  margin-top: 20px;
}

.nice-input:focus {
  border: none;
  outline: none;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
  position: relative;
  bottom: 5px;
}

/***Terms***/

.terms-input {
  display: none;
}

.terms-label {
  position: relative;
  display: inline-block;
  margin-top: 10px;
  margin-left: 26px;
  padding-left: 10px;
  font-size: 14px;
}

.terms-label:hover {
  cursor: pointer;
}

.terms-input:checked + .terms-label::after {
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  background-image: url("../img/checkbox.png");
  background-position: center center;
  background-repeat: no-repeat;
  position: absolute;
  left: -25px;
  top: 50%;
  transform: translate(0, -50%)
}

.terms-label::before {
  content: "";
  display: inline-block;
  width: 20px;
  height: 20px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  position: absolute;
  left: -26px;
  top: 50%;
  transform: translate(0, -50%)
}

.submit-btn {
  border-radius: 5px;
  background-color: #3cb878;
  width: 100%;
  margin-top: 20px;
  font-size: 16px;
  text-transform: capitalize;
}

.submit-btn:hover {
  background-color: #329a65;
}